当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 设置LC_CTYPE="zh_CN.GB18030"后就不能sudo apt-get update,请帮帮忙
帖子发表于 : 2007-12-13 17:30 

注册: 2006-12-21 18:05
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
新装了7.10 Gutsy

安装Ubuntu后,用language support对话框安装了中文支持
然后安装了一个zh_CN.GB18030
然后在/etc/environment中添加了一项LC_CTYPE="zh_CN.GB18030"(只添了这一项)
然后就可以正常查看GB编码的文本了
但是后来发现sudo apt-get update不能工作,给出一大堆404 not found,
sudo apt-get install也不能安装任何软件,只说"package couldn't be found"
而网络是完全正常的
把LC_CTYPE的设置从/etc/environment中去掉,apt-get就又正常工作了

这个问题困扰我好几天了,每次安装软件还得修改/etc/environment重新启动 @#$@#$!
哪位知道怎么回事?没有人遇到类似问题吗?


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-12-13 17:40 
头像

注册: 2006-04-12 20:05
帖子: 8495
地址: 杭州
送出感谢: 0 次
接收感谢: 8
原因不知道,但是还是推荐utf8,另外重启倒是不必要.
先 export LC_CTYPE="zh_CN.UTF-8" ,再apt应该可以的.


_________________
关注我的blog: ε==3


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-12-13 17:54 

注册: 2006-12-21 18:05
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
bones7456 写道:
原因不知道,但是还是推荐utf8,另外重启倒是不必要.
先 export LC_CTYPE="zh_CN.UTF-8" ,再apt应该可以的.


多谢,我本来在Feisty下这样设置是没有问题的,而且如果设置LC_ALL="zh_CN.GB18030"也是没有问题的,但是只设置字符集一项就会引起这个奇怪的问题。我也喜欢用utf-8,这个系统上使用GB是因为要经常和Windows交流很多文本文件,另外经常用ssh和lftp登录使用GB的服务器。而我又想要用英文的用户界面,所以只设置这么一项,谁知道有这种操蛋问题。实在想不出原因。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-12-17 2:10 

注册: 2006-12-21 18:05
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
没人遇上这个问题么?


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Yahoo [Bot] 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译